
Redmine - Patch #39887

Update RuboCop to 1.68

2023-12-20 08:02 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 6.0.0   

Description

https://rubygems.org/gems/rubocop

Associated revisions

Revision 22529 - 2023-12-20 08:12 - Go MAEDA

Disable RuboCop Style/RedundantParentheses (#39887).

Revision 22530 - 2023-12-20 08:15 - Go MAEDA

Fix RuboCop offense Style/SuperWithArgsParentheses (#39887).

Revision 22531 - 2023-12-20 08:16 - Go MAEDA

Fix RuboCop offense Lint/SymbolConversion (#39887).

Revision 22532 - 2023-12-20 09:13 - Go MAEDA

Fix RuboCop offense Style/HashEachMethods (#39887).

Revision 22533 - 2023-12-20 09:22 - Go MAEDA

Regenerate .rubocop_todo.yml (#39887).

Revision 22534 - 2023-12-20 09:29 - Go MAEDA

Update RuboCop to 1.59 (#39887).

Revision 22612 - 2024-01-18 02:31 - Go MAEDA

Fix RuboCop offense Style/ArgumentsForwarding (#39887).

Revision 22613 - 2024-01-18 02:36 - Go MAEDA

Regenerate .rubocop_todo.yml (#39887).

Revision 22614 - 2024-01-18 02:43 - Go MAEDA

Update RuboCop to 1.60 (#39887).

Revision 22778 - 2024-04-09 11:49 - Go MAEDA

Fix RuboCop offense Style/MapIntoArray (#39887).

Revision 22779 - 2024-04-09 11:56 - Go MAEDA

Regenerate .rubocop_todo.yml (#39887).

Revision 22780 - 2024-04-09 12:02 - Go MAEDA

Update RuboCop to 1.63 (#39887).

Revision 22827 - 2024-05-13 10:12 - Go MAEDA

Fix RuboCop offense Style/RedundantSelfAssignment (#39887).

Revision 22842 - 2024-05-23 13:25 - Go MAEDA

Fix RuboCop offense Style/SuperArguments (#39887).
Revision 22843 - 2024-05-23 13:31 - Go MAEDA

Update RuboCop to 1.64 (#39887).

Revision 22861 - 2024-06-06 02:53 - Go MAEDA

Disable RuboCop Style/NumericPredicate (#39887).

Revision 22862 - 2024-06-06 03:20 - Go MAEDA

Suppress RuboCop false positive for Security/Open (#39887).

Revision 22908 - 2024-07-06 10:04 - Go MAEDA

Disable RuboCop Style/PerlBackrefs (#39887).

Revision 22919 - 2024-07-11 10:48 - Go MAEDA

Fix RuboCop offense Style/MapCompactWithConditionalBlock (#39887).

Revision 22920 - 2024-07-11 10:58 - Go MAEDA

Update RuboCop to 1.65 (#39887).

Revision 22921 - 2024-07-11 11:35 - Go MAEDA

Fix RuboCop offense Style/CollectionCompact (#39887).

Revision 22939 - 2024-07-19 10:47 - Go MAEDA

Fix RuboCop offense Layout/EmptyLineBetweenDefs (#39887).

Revision 22943 - 2024-07-22 10:17 - Go MAEDA

Disable RuboCop Style/FormatString (#39887).

Revision 22949 - 2024-08-12 09:42 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundClassBody, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22950 - 2024-08-12 09:46 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundMethodBody, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22951 - 2024-08-12 09:51 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundModuleBody, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22952 - 2024-08-12 10:11 - Go MAEDA

Remove commented-out dead code and fix RuboCop offense Layout/LeadingCommentSpace (#39887).

Revision 22953 - 2024-08-12 10:36 - Go MAEDA

Fix RuboCop offense Layout/SpaceAfterComma, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22954 - 2024-08-12 10:45 - Go MAEDA

Fix RuboCop offense Layout/SpaceInsideParens, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22955 - 2024-08-12 10:51 - Go MAEDA

Fix RuboCop offense Lint/RedundantStringCoercion, one of the offenses enabled in rubocop-rails-omakase (#39887).

Revision 22978 - 2024-08-21 15:45 - Go MAEDA

Fix RuboCop offense Style/ClassEqualityComparison (#39887).

Revision 22980 - 2024-08-24 07:40 - Go MAEDA

Fix RuboCop offense Lint/SendWithMixinArgument (#39887).

Revision 22981 - 2024-08-24 07:48 - Go MAEDA

Fix untranslated string "OK" in repositories diff view (#39887).
Revision 22982 - 2024-08-24 07:53 - Go MAEDA

Revert r22981: Incorrect issue number #39887 referenced

Revision 22987 - 2024-08-25 10:44 - Go MAEDA

Fix RuboCop offenses Style/NegatedIf and Style/NegatedWhile (#39887, #7770).

Revision 23001 - 2024-09-01 02:38 - Go MAEDA

Fix RuboCop offense Style/RedundantInterpolationUnfreeze (#39887).

Since interpolated strings are always unfrozen in Ruby 3.0 and later, the use of `+""` is now redundant.

Revision 23002 - 2024-09-01 02:42 - Go MAEDA

Fix RuboCop offense Style/EmptyLiteral (#39887).

Revision 23003 - 2024-09-01 02:46 - Go MAEDA

Regenerate .rubocop_todo.yml (#39887).

Revision 23004 - 2024-09-01 02:49 - Go MAEDA

Update RuboCop to 1.65 (#39887).

Revision 23005 - 2024-09-01 03:02 - Go MAEDA

Disable RuboCop Lint/InterpolationCheck for USER_FORMATS in app/models/user.rb (#39887).

Revision 23006 - 2024-09-01 03:33 - Go MAEDA

Revert r23002 (#39887).

The change caused a test failure:

```

Failure:

UserTest#test_accessing_projects_by_role_with_no_projects_should_return_an_empty_array [test/unit/user_test.rb:1048]:

Expected: []

Actual: nil

```

Revision 23009 - 2024-09-01 08:05 - Go MAEDA

Fix RuboCop offense Style/StringChars (#39887).

Revision 23013 - 2024-09-05 02:49 - Go MAEDA

Remove unnecessary rubocop:disable directive for Style/EmptyLiteral (#39887).

RuboCop’s Style/EmptyLiteral false positive for `Hash.new([])` was resolved in RuboCop 1.66.1. This commit updates the RuboCop version to 1.66.1

and removes the now-unnecessary `rubocop:disable` directives.

Revision 23027 - 2024-09-06 07:24 - Go MAEDA

Disable RuboCop Rails/SkipsModelValidations (#39887).

Revision 23134 - 2024-10-17 01:46 - Go MAEDA

Fix RuboCop offense Lint/SafeNavigationConsistency (#39887).

Revision 23135 - 2024-10-17 01:53 - Go MAEDA

Update RuboCop to 1.67 (#39887).

Revision 23166 - 2024-10-27 07:30 - Go MAEDA

Fix RuboCop Style/MultilineIfModifier in ReportsHelper by using safe navigation operator (#39887).

Revision 23177 - 2024-11-02 05:21 - Go MAEDA

Update RuboCop to 1.68 (#39887).

History
#1 - 2023-12-20 08:02 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-12-20 09:59 - Go MAEDA

- Status changed from New to Closed

Updated RuboCop to 1.59 in r22534.

#3 - 2024-04-09 12:03 - Go MAEDA

- Subject changed from Update RuboCop to 1.59 to Update RuboCop to 1.63

Updated RuboCop to 1.63 in r22780.

#4 - 2024-05-23 13:31 - Go MAEDA

- Subject changed from Update RuboCop to 1.63 to Update RuboCop to 1.64

Updated RuboCop to 1.64 in r22843.

#5 - 2024-07-11 10:59 - Go MAEDA

- Subject changed from Update RuboCop to 1.64 to Update RuboCop to 1.65

Updated RuboCop to 1.65 in r22920.

#6 - 2024-09-01 02:50 - Go MAEDA

- Subject changed from Update RuboCop to 1.65 to Update RuboCop to 1.66

Updated RuboCop to 1.66 in r23004.

#7 - 2024-10-17 01:54 - Go MAEDA

Updated RuboCop to 1.67 in r23135.

#8 - 2024-11-02 05:22 - Go MAEDA

- Subject changed from Update RuboCop to 1.66 to Update RuboCop to 1.68

Updated RuboCop to 1.68 in r23177.
